aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlyssa Rosenzweig <alyssa@rosenzweig.io>2017-04-05 15:36:30 +0000
committerGogs <gogitservice@gmail.com>2017-04-05 15:36:30 +0000
commitb4e80ad9f8aba8be47560ac7db47666b70ba3fd6 (patch)
treebd2036aea9e28792b73ac8e8cb2f2a2fb7624d90
parentaa4f0ed83c772430637da85e3b31391ee132115e (diff)
parentd0d00942fc74c598b1ba2a0ec86947472657f69b (diff)
downloadlibrebootfr-b4e80ad9f8aba8be47560ac7db47666b70ba3fd6.tar.gz
librebootfr-b4e80ad9f8aba8be47560ac7db47666b70ba3fd6.zip
Merge branch 'etc' of libreboot/libreboot into master
-rwxr-xr-xwww/generate.sh4
-rwxr-xr-xwww/publish.sh10
2 files changed, 11 insertions, 3 deletions
diff --git a/www/generate.sh b/www/generate.sh
index 27d2a74b..21610a2f 100755
--- a/www/generate.sh
+++ b/www/generate.sh
@@ -1,3 +1,7 @@
#!/bin/bash
+
+[ "x${DEBUG+set}" = 'xset' ] && set -v
+set -e
+
find -L . -name '*.html' -and -not -name 'template.html' -delete
find -L . -name '*.md' -exec ./publish.sh {} \;
diff --git a/www/publish.sh b/www/publish.sh
index 8a2654f0..5e89dcb1 100755
--- a/www/publish.sh
+++ b/www/publish.sh
@@ -1,6 +1,7 @@
#!/bin/bash
#
-# Copyright (C) 2017 Alyssa Rosenzweig <alyssa@rosenzweig.io
+# Copyright (C) 2017 Alyssa Rosenzweig <alyssa@rosenzweig.io>
+# Copyright (C) 2017 Leah Rowe <info@minifree.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -15,6 +16,9 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+[ "x${DEBUG+set}" = 'xset' ] && set -v
+set -e
+
echo $1
FILE=${1%.md}
@@ -38,10 +42,10 @@ echo "[License](/license.md)" >> temp.md
sed temp.md -i -e 's/\.md\(#[a-z\-]*\)*)/.html\1)/g'
# work around issue #2872
-TOC=$(grep -q "^x-toc-enable: true$" temp.md && echo "--toc --toc-depth=2")
+TOC=$(grep -q "^x-toc-enable: true$" temp.md && echo "--toc --toc-depth=2") || TOC=""
# work around heterogenous pandoc versions
-SMART=$(pandoc -v | grep -q '2\.0' || echo "--smart")
+SMART=$(pandoc -v | grep -q '2\.0' || echo "--smart") || SMART=""
# chuck through pandoc
pandoc $TOC $SMART temp.md -s --css /global.css -T Libreboot \